Package org.apache.groovy.ginq.dsl.expression

# Class GroupExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.ProcessExpression
org.apache.groovy.ginq.dsl.expression.GroupExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

public class GroupExpression extends ProcessExpression
Represents group by expression

Since:
  4.0.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupExpression(Expression classifierExpr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<R> R`
  `accept(GinqAstVisitor<R> visitor)`
  `Expression`
  `getClassifierExpr()`
  `HavingExpression`
  `getHavingExpression()`
  `String`
  `getText()`
  `void`
  `setHavingExpression(HavingExpression havingExpression)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.ProcessExpression

  `getDataSourceExpression, setDataSourceExpression`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Constructor Details

  - ### GroupExpression

    public GroupExpression(Expression classifierExpr)

- ## Method Details

  - ### accept

    public <R> R accept(GinqAstVisitor<R> visitor)
    Specified by:
      `accept` in class `AbstractGinqExpression`

  - ### getClassifierExpr

    public Expression getClassifierExpr()

  - ### getHavingExpression

    public HavingExpression getHavingExpression()

  - ### setHavingExpression

    public void setHavingExpression(HavingExpression havingExpression)

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`